## ros-rolling-moveit-ros-planning 2.8.0

=== debian/changelog ===
ros-rolling-moveit-ros-planning (2.8.0-2jammy) jammy; urgency=high

  * Remove added path index from planner adapter function signature (#2285 <https://github.com/ros-planning/moveit2/issues/2285>)
  * Replaced boost::algorithm::join with fmt::join (#2273 <https://github.com/ros-planning/moveit2/issues/2273>)
    * Replaced boost::algorithm::join with fmt::join
    * Made changes in CMakeLists.txt to accomodate fmt
    * Updated package.xml files
    * removed redundant boost dependencies
    * Rename variables -> variable
    ---------
    Co-authored-by: Sebastian Castro <4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <sebastian.jahr@picknik.ai>
  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>)
  * Cleanup planning request adapter interface (#2266 <https://github.com/ros-planning/moveit2/issues/2266>)
    * Use default arguments instead of additional functions
    * Use generate param lib for default plan request adapters
    * Small cleanup of ResolveConstraintFrames
    * Remove dublicate yaml file entry
    * Move list_planning_adapter_plugins into own directory
    * Apply suggestions from code review
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * Fix copy& paste error
    * Update parameter descriptions
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * Apply suggestions from code review
    Co-authored-by: Kyle Cesare <mailto:kcesare@gmail.com>
    * EMPTY_PATH_INDEX_VECTOR -> empty_path_index_vector
    * Update parameter yaml
    * Make param listener unique
    * Fix build error
    * Use gt_eq instead of deprecated lower_bounds
    ---------
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Kyle Cesare <mailto:kcesare@gmail.com>
  * Prefer to use the active controller if multiple controllers apply (#2251 <https://github.com/ros-planning/moveit2/issues/2251>)
  * Don't default to random algorithm if no plugin is defined (#2228 <https://github.com/ros-planning/moveit2/issues/2228>)
    * Don't default to random algorithm if no plugin is defined
    * Simplify selection logic & initialize default values in constructor
    * Increase message severity
  * Always set response planner id and warn if it is not set (#2236 <https://github.com/ros-planning/moveit2/issues/2236>)
  * Suppress redundant error message in CSM (#2222 <https://github.com/ros-planning/moveit2/issues/2222>)
    The CSM would spam the log if /joint_states messages
    includes unkonwn joints. RobotModel::hasJointModel()
    allows for verifying joint names in a safe way without
    the error message.
  * Minor cleanup to ros_control_interface and trajectory execution (#2208 <https://github.com/ros-planning/moveit2/issues/2208>)
  * Ensure that planning pipeline id is set (#2202 <https://github.com/ros-planning/moveit2/issues/2202>)
  * Add @brief descriptions for plan_request_adapters (#2185 <https://github.com/ros-planning/moveit2/issues/2185>)
  * Make loggers static or move into anonymous namespace (#2184 <https://github.com/ros-planning/moveit2/issues/2184>)
    * Make loggers static or move into anonymous namespace
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Move LOGGER out of class template
  * Contributors: Henning Kayser, Sebastian Jahr, Shobuj Paul, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-ros-planning (2.7.4-2jammy) jammy; urgency=high

  * Update default planning configs to use AddTimeOptimalParameterization (#2167 <https://github.com/ros-planning/moveit2/issues/2167>)
  * Deprecate MoveItCpp::execute() use of blocking flag (#1984 <https://github.com/ros-planning/moveit2/issues/1984>)
  * Contributors: Anthony Baker, Lucas Wendland

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-ros-planning (2.7.3-2jammy) jammy; urgency=high

  * Replace check for the ROS_DISTRO env variable with a check for the rclcpp version (#2135 <https://github.com/ros-planning/moveit2/issues/2135>)
  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-ros-planning (2.7.2-2jammy) jammy; urgency=high

  * Switch from qos_event.hpp to event_handler.hpp (#2111 <https://github.com/ros-planning/moveit2/issues/2111>)
    * Switch from qos_event.hpp to event_handler.hpp
    * moveit_common: Add a cmake interface library to keep humble support on main
    * Include qos_event.hpp or event_handler.hpp depending on the ROS 2 version
    * Fix ament_lint_cmake
    * Fix clang-tidy
    * PRIVATE linking in some cases
    * Update moveit_common/cmake/moveit_package.cmake
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
    * Fix servo and cleanup excessive CMake variable usage
    * Cleanup & make compiling
    * Small variable naming and const cleanup
    * Restore OpenCV linking
    * Public/private linking fixup
    * Revert "Restore OpenCV linking"
    This reverts commit 57a9efa806e59223e35a1f7e998d7b52f930c263.
    ---------
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * Fix MoveItCpp issues (port from MoveIt1) (#2001 <https://github.com/ros-planning/moveit2/issues/2001>)
    * Fix MoveitCpp's const member accessors
    They should return a ConstPtr instead of a const Ptr&!

